Subject: RE: gid and install
From: "Dave Korn" <[email-masked]>
To: <[email-masked]>
Date: Wed, 2 Jun 2004 14:47:44 +0100

> -----Original Message-----
> From: cygwin-owner  On Behalf Of David
> Sent: 02 June 2004 14:35
> To: Pierre A. Humblet; cygwin
> Cc: cy.20.superconductor

  Naughty naughty! ^^^^^^^^^^^^^^^^^^^^^^^^^^^  It's very very lazy to hit
"reply" to an existing mail because you can't be bothered to type "cygwin at
.... " into the "To:" address line, and it's inconsiderate when you end up
posting uninvited private mail to a couple of people as well as the list.
At least your mailer is too faulty to add a References: header, so you
didn't mess up the threads in the list archive, but that was luck not
judgement.

  Right.  Enough of the telling off.  Down to business:

> I just downloaded the latest cygwin from planetmirror
> but the install fails on my Windows2000. I click on
> install and after going through the prompts, it dies.
> 
> Probably because I am on a locked down machine where 
> I cannot write to the registry - in other words,
> I cannot be the administrator.
> 
> In any event, I get this message: "Changing gid to Users"
> and then "Could not open Service control manager."
> 
> What I have done in past is install on my home machine,
> tar up the cygwin directory, and then untar it onto
> my Windows2000 and add bin to the path - which gives me
> what I want.
> 
> Is there another way to do this?

  Well, you aren't going to be able to install any services then, but did
you try selecting the option "Install... only for me" ?  That tells it to
write into your own per-user key in the registry instead of the system
global one.  It should help. 

    cheers, 
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/